#include<iostream>
#include<fstream>
#include<math.h>
#include<cmath>
using namespace std;



double f ( int x1, int y1, int x2, int y2, int x)
{	
	double k = (double)(y2- y1)/ (x2-x1);
	double b = y2-k*x2;

	return k*x+b;

}

int main ()
{
ifstream in("SEGMENT.IN");
	int n;
	int x1,y1,x2,y2;
	int x,dx,dy;
	double k,b;

	in>>n;


while(n--)
{

		in>>x1>>y1>>x2>>y2;

		dx=(abs(x1-x2));
		dy=(abs(y1-y2));


		if (x1==x2==y1==y2)
		{
			cout<<1<<endl;
			continue;
		}
	
		if (dx==0)
		{
			cout<<abs(y1-y2)+1<<endl;
			continue;
		}

		if (dy==0)
		{
			cout<<abs(x1-x2)+1<<endl;
			continue;
		}

		if(dx/dy==1)
		{
			cout<<abs(x1-x2)+1<<endl;
			continue;
		}
		
		if(dy/dx==1)
		{
			cout<<abs(x1-x2)+1<<endl;
			continue;
		}
		
			
		int count =0;

		if (x1>x2)
		{
			swap(x1,x2);
		}

		for (int i=x1; i<x2; i++)
		{
			double answ=f(x1,y1,x2,y2,i);

			if (answ-(int)answ==0)
			{
				count++;
			}
		}

		cout<<count+1<<endl;

}
		

}

//int ddy,ddx;
//
//int f (int dx,int dy)
//{
//		int del=dx;
//		
//		
//		while (del>0)
//		{
//			if(dx%del==0 && dy%del==0)
//			{
//				dx=dx/del;
//				dy=dy/del;
//					
//				if (dx==1)
//				{
//
//					return  ddx/dx;
//				}
//				return del;
//			
//			}
//				del--;
//
//		}
//
//		return -1;
//
//}
//
//int main()
//{
//	ifstream in("SEGMENT.IN");
//	int n;
//	int x1,y1,x2,y2;
//	int x,dx,dy;
//	double k,b;
//
//	in>>n;
//
//	while(n--)
//	{
//		in>>x1>>y1>>x2>>y2;
//
//		dx=(abs(x1-x2));
//		dy=(abs(y1-y2));
//
//		ddy=dy;
//		ddx=dx;
//		
//		if (x1==x2==y1==y2)
//		{
//			cout<<1<<endl;
//			continue;
//		}
//	
//		if (dx==0)
//		{
//			cout<<abs(y1-y2)+1<<endl;
//			continue;
//		}
//
//		if (dy==0)
//		{
//			cout<<abs(x1-x2)+1<<endl;
//			continue;
//		}
//
//		if(dx/dy==1)
//		{
//			cout<<abs(x1-x2)+1<<endl;
//			continue;
//		}
//		
//		if(dy/dx==1)
//		{
//			cout<<abs(x1-x2)+1<<endl;
//			continue;
//		}
//		
//			
//			
//	
//
//		int  answ;
//
//		if (dx<dy)
//		{
//			answ=f(dx,dy);
//
//	
//		}
//		else
//		{
//			answ=f(dy,dx);
//		}
//
//				if (answ==-1)
//			{
//				cout<<2<<endl;
//			}
//			else
//				cout<<answ+1<<endl;
//
//	}
//	
//	return 0;
//}
//		
//
//
//
//
